> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OIDC details.



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/v2/api/auth/get_oidc_details
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/auth/get_oidc_details:
    summary: Get OIDC details.
    get:
      tags:
        - Other
      summary: Get OIDC details.
      operationId: getOIDCDetails
      responses:
        '200':
          description: OIDC details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OIDCDetails'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Not found.
        '405':
          description: Method not allowed.
        '410':
          description: No longer supported.
        '500':
          description: Internal server error, check server logs.
components:
  schemas:
    OIDCDetails:
      type: object
      description: OIDCDetails object
      required:
        - client_id
        - server_session_state_cookie_name
        - logout_delay
        - check_interval
      properties:
        client_id:
          description: keycloak client id
          type: string
        server_session_state_cookie_name:
          description: session state key
          type: string
        logout_delay:
          description: No of milliseconds to delay logout
          type: integer
        check_interval:
          description: The interval time to check the keycloak session state change.
          type: integer

````